> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Location List

> Get a list of locations for a group.



## OpenAPI

````yaml GET /api/v1/groups/{group_id}/locations
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/groups/{group_id}/locations:
    get:
      tags:
        - Group Configuration
      summary: Get a list of all Group Locations
      description: Returns a list of all group locations for a given group.
      operationId: getLocationList
      parameters:
        - description: >-
            The unique identifier of the group for which you would like to view
            locations
          in: path
          name: group_id
          required: true
          schema:
            example: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
            format: uuid
            type: string
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 20
                  total_records: 2
                response:
                  - address:
                      city: San Francisco
                      county: San Francisco
                      state: CA
                      street_one: 1234 Test Ln
                      zip_code: '94107'
                    created: 1557512389
                    group_id: 2613a221-d3c8-4c8a-86d5-e7e885fd1da9
                    id: bd957820-4652-4ee7-8a3a-6413df21e28d
                    modified: 1543215342
                    version: f4142cba-f3eb-4917-b3bd-123d683f18d7
              schema:
                $ref: '#/components/schemas/PaginatedLocationResult'
          description: Successful Response - Returns all matching Group Locations
components:
  schemas:
    PaginatedLocationResult:
      properties:
        meta:
          allOf:
            - $ref: '#/components/schemas/Meta'
          description: Metadata associated with the response data
        response:
          description: List of location results
          items:
            $ref: '#/components/schemas/LocationResult'
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response
    Meta:
      properties:
        offset:
          description: The offset of the first response record within the matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
        page_num:
          description: >-
            The page number of the response records within the overall data set
            (1-based integer)
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        page_size:
          description: The maximum number of response records on each page of results
          format: int32
          minimum: 1
          readOnly: true
          type: integer
        total_records:
          description: The total number of records in the entire matching data set
          format: int32
          minimum: 0
          readOnly: true
          type: integer
      required:
        - offset
        - page_num
        - page_size
      type: object
    LocationResult:
      properties:
        address:
          allOf:
            - $ref: '#/components/schemas/Address'
          description: Address of the group location
        created:
          description: The date the record was created
          type: integer
        display_name:
          description: Display name for the group location
          example: Primary Company Location
          type: string
        group_id:
          description: Unique identifier of the group in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - address
        - created
        - display_name
        - group_id
        - id
        - modified
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - modified
        - group_id
        - display_name
        - address
    Address:
      properties:
        city:
          description: City of the address
          example: Bend
          type: string
        county:
          description: County of the address
          example: Deschutes
          type: string
        state:
          description: State postal code of the address
          enum:
            - AL
            - AK
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FL
            - GA
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - OH
            - OK
            - OR
            - PA
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VA
            - WA
            - WV
            - WI
            - WY
            - AS
            - GU
            - MH
            - FM
            - MP
            - PW
            - PR
            - VI
            - UM
          example: OR
          type: string
        street_one:
          description: Line one of the address
          example: 339 Hickory Street
          type: string
        street_two:
          description: Line two of the address
          example: Apartment 5
          type: string
        zip_code:
          description: Zip code of the address
          example: '97701'
          pattern: ^(\d{5})(?:-?)(\d{4})?$
          type: string
      required:
        - city
        - state
        - street_one
        - zip_code
      type: object
      x-field_order:
        - street_one
        - street_two
        - city
        - state
        - zip_code
        - county

````